Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.persistence
Class TemplateSearchCriteria

    java.lang.Object
      com.bea.netuix.application.search.WebAppSearchCriteria
          com.bea.netuix.application.search.PortalSearchCriteria
              com.bea.netuix.application.manager.persistence.TemplateSearchCriteria

All Implemented Interfaces
  SearchCriteria, Serializable

Direct Known Subclasses:
  CommunitySearchCriteria, DesktopSearchCriteria

    public class TemplateSearchCriteria

extends PortalSearchCriteria

TemplateSearchCriteria - `SearchCriteria` for templates. If more than one titles are specified as filter criteria they will be OR'ed in the resulting search. The same applies if multiple descriptions are specified. Title(s) and description(s) will be AND'ed if both are filter criteria unless a titleDescriptionLogicalOperator is specified - (TITLE = 'aT' OR TITLE = 'bT') AND (DESCRIPTION = 'aD' OR DESCRIPTION = 'bD'). Note: Titles and descriptions should be from locale(s) that are in the list of locales specified in the `CustomizationContext`. Also, the value of CustomizationContext#isRetrieveResultsIfNoLocale might affect the returned results.

See Also
  Serialized Form

Nested Class Summary
`static class` | `TemplateSearchCriteria.LOGICAL_OPERATOR`
`static class` | `TemplateSearchCriteria.TemplateSortCriteria`

Constructor Summary
`TemplateSearchCriteria(String webAppName)` Ctor with webapp name as the base search criteria

Method Summary
`void` | `addDescription(String description)` Appends to the list of description search criteria.
`void` | `addDescriptions(List<String> descriptions)` Appends to the list of description search criteria if description search criteria already exist.
`void` | `addTitle(String title)` Appends to the list of title search criteria.
`void` | `addTitles(List<String> titles)` Appends to the list of title search criteria if title search criteria already exist.
`FilterMethod` | `getDescriptionFilterMethod()` Returns the `FilterMethod` associated with the description search criteria.
`List<String>` | `getDescriptions()` Returns the description search criteria or null if it has not been set.
`TemplateSearchCriteria.TemplateSortCriteria` | `getTemplateSortCriteria()` Returns the template sort criteria
`SortOrder` | `getTemplateSortOrder()` Returns the `SortOrder` to be used for the template search.
`com.bea.netuix.application.identifier.TemplateTypeId` | `getTemplateTypeId()` Returns the `TemplateTypeId` that this `TemplateSearchCriteria` pertains to.
`TemplateSearchCriteria.LOGICAL_OPERATOR` | `getTitleDescriptionLogicalOperator()` Returns the `LOGICAL_OPERATOR` to be used between title(s) and description(s) when both are specified.
`FilterMethod` | `getTitleFilterMethod()` Returns the `FilterMethod` associated with the title search criteria.
`List<String>` | `getTitles()` Returns the title search criteria or null if it has not been set.
`protected void` | `init(TemplateSearchCriteria templateSearchCriteria)` Uses another `TemplateSearchCriteria` to initialize this one
`boolean` | `isDescriptionSearchCriteria()` Returns `true` if description is a search criteria
`boolean` | `isGlobalTemplateCriteria()` Returns `true` if global template is a search criteria.
`boolean` | `isTemplateCriteria()` Returns `true` if template is a search criteria
`boolean` | `isTitleSearchCriteria()` Returns `true` if title is a search criteria.
`void` | `setDescription(String description)` Sets the description search criteria.
`void` | `setDescriptionFilterMethod(FilterMethod filterMethod)` Sets the description search criteria `FilterMethod` to be used
`void` | `setDescriptions(List<String> descriptions)` Sets the description search criteria as a `List`.
`void` | `setGlobalTemplate(boolean globalTemplate)` Sets the global template search criteria.
`void` | `setTemplate(boolean template)` Sets the template search criteria.
`void` | `setTemplateSortCriteria(TemplateSearchCriteria.TemplateSortCriteria templateSortCriteria)` Sets the template sort criteria
`void` | `setTemplateSortOrder(SortOrder sortOrder)` Sets the `SortOrder` to be used for the template search.
`void` | `setTemplateTypeId(com.bea.netuix.application.identifier.TemplateTypeId templateTypeId)` Sets the `templateTypeId` that this `TemplateSearchCriteria` pertains to.
`void` | `setTitle(String title)` Sets the title search criteria.
`void` | `setTitleDescriptionLogicalOperator(TemplateSearchCriteria.LOGICAL_OPERATOR logical_operator)` Sets the `LOGICAL_OPERATOR` to be used between title(s) and description(s) when both are specified.
`void` | `setTitleFilterMethod(FilterMethod filterMethod)` Sets the title search criteria `FilterMethod` to be used
`void` | `setTitles(List<String> titles)` Sets the title search criteria as a `List`.

Methods inherited from class com.bea.netuix.application.search.PortalSearchCriteria
`getPortalPaths, init, isPortalPathSearchCriteria, setPortalPaths`

Methods inherited from class com.bea.netuix.application.search.WebAppSearchCriteria
`getWebAppName, init, isWebAppNameCriteria`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateSearchCriteria

    public TemplateSearchCriteria(String webAppName)

  Ctor with webapp name as the base search criteria

  Parameters
    `webAppName` -

Method Detail

### init

    protected void init(TemplateSearchCriteria templateSearchCriteria)

  Uses another `TemplateSearchCriteria` to initialize this one

  Parameters
    `templateSearchCriteria` - source

### isGlobalTemplateCriteria

    public boolean isGlobalTemplateCriteria()

  Returns `true` if global template is a search criteria.

  Returns
    `true` if global template is a search criteria

### setGlobalTemplate

    public void setGlobalTemplate(boolean globalTemplate)

  Sets the global template search criteria.

  Parameters
    `globalTemplate` - `true` if global templates should be a search criteria

### isTemplateCriteria

    public boolean isTemplateCriteria()

  Returns `true` if template is a search criteria

  Returns
    `true` if template is a search criteria

### setTemplate

    public void setTemplate(boolean template)

  Sets the template search criteria.

  Parameters
    `template` - `true` if global templates should be a search criteria

### isTitleSearchCriteria

    public boolean isTitleSearchCriteria()

  Returns `true` if title is a search criteria.

  Returns
    `true` if title is a search criteria

### getTitles

    public List<String> getTitles()

  Returns the title search criteria or null if it has not been set.

  Returns
    title search criteria
  See Also
    `isTitleSearchCriteria()`

### getTitleFilterMethod

    public FilterMethod getTitleFilterMethod()

  Returns the `FilterMethod` associated with the title search criteria. Returns null if title is not a search criteria

  Returns
    title search criteria `FilterMethod`
  See Also
    `isTitleSearchCriteria()`

### setTitle

    public void setTitle(String title)

  Sets the title search criteria. The `FilterMethod` used will be `FilterMethod.EQUALS`. Overwrites any existing titles

  Parameters
    `title` - title search criteria

### setTitles

    public void setTitles(List<String> titles)

  Sets the title search criteria as a `List`. The `FilterMethod` used will be `FilterMethod.EQUALS`. Overwrites any existing titles

  Parameters
    `titles` - title search criteria `List`

### addTitle

    public void addTitle(String title)

  Appends to the list of title search criteria.

  Parameters
    `title` -

### addTitles

    public void addTitles(List<String> titles)

  Appends to the list of title search criteria if title search criteria already exist. Duplicates are allowed.

  Parameters
    `titles` -

### setTitleFilterMethod

    public void setTitleFilterMethod(FilterMethod filterMethod)

  Sets the title search criteria `FilterMethod` to be used

  Parameters
    `filterMethod` - `FilterMethod` to be used

### isDescriptionSearchCriteria

    public boolean isDescriptionSearchCriteria()

  Returns `true` if description is a search criteria

  Returns
    `true` if description is a search criteria

### getDescriptions

    public List<String> getDescriptions()

  Returns the description search criteria or null if it has not been set.

  Returns
    description search criteria
  See Also
    `isDescriptionSearchCriteria()`

### getDescriptionFilterMethod

    public FilterMethod getDescriptionFilterMethod()

  Returns the `FilterMethod` associated with the description search criteria. Returns null if title is not a search criteria

  Returns
    description search criteria `FilterMethod`
  See Also
    `isTitleSearchCriteria()`

### setDescription

    public void setDescription(String description)

  Sets the description search criteria. The `FilterMethod` used will be `FilterMethod.EQUALS`. Overwrites any existing descriptions

  Parameters
    `description` - description search criteria

### setDescriptions

    public void setDescriptions(List<String> descriptions)

  Sets the description search criteria as a `List`. The `FilterMethod` used will be `FilterMethod.EQUALS`. Overwrites any existing descriptions

  Parameters
    `descriptions` - description search criteria `List`

### addDescription

    public void addDescription(String description)

  Appends to the list of description search criteria.

  Parameters
    `description` -

### addDescriptions

    public void addDescriptions(List<String> descriptions)

  Appends to the list of description search criteria if description search criteria already exist. Duplicates are allowed.

  Parameters
    `descriptions` -

### setDescriptionFilterMethod

    public void setDescriptionFilterMethod(FilterMethod filterMethod)

  Sets the description search criteria `FilterMethod` to be used

  Parameters
    `filterMethod` - `FilterMethod` to be used

### getTitleDescriptionLogicalOperator

    public TemplateSearchCriteria.LOGICAL_OPERATOR getTitleDescriptionLogicalOperator()

  Returns the `LOGICAL_OPERATOR` to be used between title(s) and description(s) when both are specified. Defaults to `AND` if not specified. Returns null if either title(s) or description(s) is not a search criteria.

  Returns
    the `LOGICAL_OPERATOR` to be used between title(s) and description(s) when both are specified

### setTitleDescriptionLogicalOperator

    public void setTitleDescriptionLogicalOperator(TemplateSearchCriteria.LOGICAL_OPERATOR logical_operator)

  Sets the `LOGICAL_OPERATOR` to be used between title(s) and description(s) when both are specified. Ignored if either title(s) or description(s) is not a search criteria.

  Parameters
    `logical_operator` -

### getTemplateSortCriteria

    public TemplateSearchCriteria.TemplateSortCriteria getTemplateSortCriteria()

  Returns the template sort criteria

  Returns
    template sort criteria

### setTemplateSortCriteria

    public void setTemplateSortCriteria(TemplateSearchCriteria.TemplateSortCriteria templateSortCriteria)

  Sets the template sort criteria

  Parameters
    `templateSortCriteria` -

### getTemplateSortOrder

    public SortOrder getTemplateSortOrder()

  Returns the `SortOrder` to be used for the template search.

  Returns
    the `SortOrder` for this `TemplateSearchCriteria`

### setTemplateSortOrder

    public void setTemplateSortOrder(SortOrder sortOrder)

  Sets the `SortOrder` to be used for the template search.

  Parameters
    `sortOrder` -

### getTemplateTypeId

    public com.bea.netuix.application.identifier.TemplateTypeId getTemplateTypeId()

  Returns the `TemplateTypeId` that this `TemplateSearchCriteria` pertains to.

  Returns
    templateTypeId

### setTemplateTypeId

    public void setTemplateTypeId(com.bea.netuix.application.identifier.TemplateTypeId templateTypeId)

  Sets the `templateTypeId` that this `TemplateSearchCriteria` pertains to.

  Parameters
    `templateTypeId` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.